=== debian/changelog ===
ukui-panel (4.0.0.4-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:22:59 +0000

ukui-panel (4.0.0.4-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 19 Mar 2024 11:47:21 +0800

ukui-panel (4.0.0.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 09 Mar 2024 14:03:32 +0800

ukui-panel (4.0.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 25 Feb 2024 11:36:22 +0800
