=== debian/control ===
Source: ukui-panel
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>,
           xibowen <xibowen@kylinos.cn>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libdbusmenu-qt5-dev,
               libdrm-dev,
               libglib2.0-dev(>=2.36),
               libgsettings-qt-dev,
               libkf5i18n-dev,
               libkf5screen-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               libkysdk-applications-dev,
               libkysdk-base-dev,
               libpipewire-0.3-dev,
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libukcc-dev,
               libukui-log4qt-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxtst-dev,
               plasma-wayland-protocols,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qtwayland5-dev-tools
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: https://gitee.com/openkylin/ukui-panel
Vcs-Git: https://gitee.com/openkylin/ukui-panel.git
Vcs-Browser: https://gitee.com/openkylin/ukui-panel

Package: ukui-panel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ukui-indicators
Suggests: time-shutdown, ukui-window-switch (>=3.0.0-3)
Description: ukui desktop panel
 The ukui desktop panel is used on ukui desktop and has some plugins like
 starmenu, quicklaunch and other useful tools.
 .
 This package contains the ukui panel.
