## ukui-panel 4.0.0.5

=== panel/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,6 @@
     iukuipanel.h
     common/ukuisettings.h
     common/ukuiplugininfo.h
-    common/ukuitranslator.h
     common/common.h
     common/ukuigridlayout.h
     common/ukuiglobals.h
@@ -33,6 +32,10 @@
     common_fun/dbus-adaptor.h
     common_fun/panel_commission.h
     customstyle.h
+    xdg-desktop-file/xdgdesktopfile_p.h
+    xdg-desktop-file/xdgdesktopfile.h
+    xdg-desktop-file/xdgdirs.h
+    xdg-desktop-file/xdgmacros.h
 )
 
 set(SOURCES
@@ -47,13 +50,15 @@
     contextmenu.cpp
     common/ukuiplugininfo.cpp
     common/ukuisettings.cpp
-    common/ukuitranslator.cpp
     common/ukuigridlayout.cpp
     common_fun/listengsettings.cpp
     common_fun/ukuipanel_infomation.cpp
     common_fun/dbus-adaptor.cpp
     common_fun/panel_commission.cpp
     customstyle.cpp
+    xdg-desktop-file/desktopenvironment_p.cpp
+    xdg-desktop-file/xdgdesktopfile.cpp
+    xdg-desktop-file/xdgdirs.cpp
 )
 
 set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ukui/${PROJECT_NAME}")
@@ -79,6 +84,11 @@
 set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
 list(APPEND SOURCES "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")
 
+QT5_ADD_DBUS_INTERFACE(libqtxdg_DBUS_INTERFACE_SRCS
+    xdg-desktop-file/dbus/org.freedesktop.Application.xml
+    application_interface
+)
+
 # 翻译文件
 file(GLOB TS_FILES "translation/*.ts")
 # 更新翻译并创建.qm文件
@@ -88,6 +98,7 @@
     ${PRIV_HEADERS}
     ${QM_FILES}
     ${SOURCES}
+    ${libqtxdg_DBUS_INTERFACE_SRCS}
 )
 
 find_package(PkgConfig)
@@ -109,7 +120,6 @@
     ${QTX_LIBRARIES}
     KF5::WindowSystem
     ${STATIC_PLUGINS}
-    Qt5Xdg
     ${GLIB2_LIBRARIES}
     ${GIO2_LIBRARIES}
     ${Gsetting_LIBRARIES}
