=== plugin-taskbar/CMakeLists.txt ===
--- 
+++ 
@@ -26,12 +26,12 @@
 )
 
 find_package(QT NAMES Qt6 Qt5 COMPONENTS Core Widgets X11Extras LinguistTools DBus Quick Qml REQUIRED)
+
 find_package(KF5Wayland)
 find_package(KF5WindowSystem)
 find_package(KF5IconThemes)
 find_package(Qt5WaylandClient)
 find_package(PlasmaWaylandProtocols 1.6 REQUIRED)
-find_package(Qt5Xdg REQUIRED)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
@@ -67,7 +67,6 @@
 #qt5_add_resources(qrc_FILES qmlItems.qrc)
 
 set(LIBRARIES
-    Qt5Xdg
     Qt5X11Extras
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::DBus
