=== panel/common/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,6 @@
 set(HEADERS
     ukuisettings.h
     ukuiplugininfo.h
-    ukuitranslator.h
 
     ukuigridlayout.h
     ukuiglobals.h
@@ -52,7 +51,6 @@
     PluginInfo
     Application
     SingleApplication
-    Translator
 
     PageSelectWidget
 
@@ -63,7 +61,6 @@
 set(SOURCES
     ukuiplugininfo.cpp
     ukuisettings.cpp
-    ukuitranslator.cpp
     ukuiprogramfinder.cpp
 
     ukuigridlayout.cpp
