=== debian/changelog ===
ukui-panel (4.0.0.5-1) unstable; urgency=medium

  * New upstream release:
    - libqtxdg transition (Closes: #1089000)
  * d/control: remove libqt5xdg-dev.
    d/copyright: update for new files.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 23 Dec 2024 10:38:27 +0800
