=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ukui-panel
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: kylin Team <team+kylin@tracker.debian.org>
+Maintainer: kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
            xibowen <xibowen@kylinos.cn>
@@ -22,7 +21,6 @@
                libpipewire-0.3-dev,
                libqt5waylandclient5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev,
                libukcc-dev,
                libukui-log4qt-dev,
                libx11-dev,
